public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ole Reifschneider" <tranquility@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gnome:master commit in: gnome-base/gnome-shell/
Date: Sun, 19 Apr 2015 11:43:30 +0000 (UTC)	[thread overview]
Message-ID: <1429442951.c80a2f1018741d0bfebd442470924663eee1e262.tranquility@gentoo> (raw)

commit:     c80a2f1018741d0bfebd442470924663eee1e262
Author:     Ole Reifschneider <tranquility <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 19 11:29:11 2015 +0000
Commit:     Ole Reifschneider <tranquility <AT> gentoo <DOT> org>
CommitDate: Sun Apr 19 11:29:11 2015 +0000
URL:        https://gitweb.gentoo.org/proj/gnome.git/commit/?id=c80a2f10

Bump gnome-base/gnome-shell version to 3.16.1

Package-Manager: portage-2.2.14
Manifest-Sign-Key: 7E8B4D42

 gnome-base/gnome-shell/gnome-shell-3.16.1.ebuild | 221 +++++++++++++++++++++++
 1 file changed, 221 insertions(+)

diff --git a/gnome-base/gnome-shell/gnome-shell-3.16.1.ebuild b/gnome-base/gnome-shell/gnome-shell-3.16.1.ebuild
new file mode 100644
index 0000000..7f05b85
--- /dev/null
+++ b/gnome-base/gnome-shell/gnome-shell-3.16.1.ebuild
@@ -0,0 +1,221 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/gnome-base/gnome-shell/gnome-shell-3.14.4.ebuild,v 1.1 2015/03/28 09:33:14 pacho Exp $
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python{3_3,3_4} )
+
+inherit autotools eutils gnome2 multilib pax-utils python-r1 systemd
+
+DESCRIPTION="Provides core UI functions for the GNOME 3 desktop"
+HOMEPAGE="https://wiki.gnome.org/Projects/GnomeShell"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0"
+IUSE="+bluetooth +i18n +networkmanager -openrc-force"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+# libXfixes-5.0 needed for pointer barriers
+# FIXME:
+#  * gstreamer support is currently automagic
+COMMON_DEPEND="
+	>=app-accessibility/at-spi2-atk-2.5.3
+	>=dev-libs/atk-2[introspection]
+	>=app-crypt/gcr-3.7.5[introspection]
+	>=dev-libs/glib-2.39.1:2[dbus]
+	>=dev-libs/gjs-1.39
+	>=dev-libs/gobject-introspection-0.10.1:=
+	>=x11-libs/gtk+-3.15.0:3[introspection]
+	>=media-libs/clutter-1.21.5:1.0[introspection]
+	>=dev-libs/json-glib-0.13.2
+	>=dev-libs/libcroco-0.6.8:0.6
+	>=gnome-base/gnome-desktop-3.7.90:3=[introspection]
+	>=gnome-base/gsettings-desktop-schemas-3.14
+	>=gnome-base/gnome-keyring-3.3.90
+	gnome-base/libgnome-keyring
+	>=gnome-extra/evolution-data-server-3.13.90:=
+	>=media-libs/gstreamer-0.11.92:1.0
+	>=net-im/telepathy-logger-0.2.4[introspection]
+	>=net-libs/telepathy-glib-0.19[introspection]
+	>=sys-auth/polkit-0.100[introspection]
+	>=x11-libs/libXfixes-5.0
+	x11-libs/libXtst
+	>=x11-wm/mutter-3.16.0[introspection]
+	>=x11-libs/startup-notification-0.11
+
+	${PYTHON_DEPS}
+	dev-python/pygobject:3[${PYTHON_USEDEP}]
+
+	dev-libs/dbus-glib
+	dev-libs/libxml2:2
+	gnome-base/librsvg
+	media-libs/libcanberra[gtk3]
+	media-libs/mesa
+	>=media-sound/pulseaudio-2
+	>=net-libs/libsoup-2.40:2.4[introspection]
+	x11-libs/libX11
+	x11-libs/gdk-pixbuf:2[introspection]
+	x11-libs/pango[introspection]
+	x11-apps/mesa-progs
+
+	bluetooth? ( >=net-wireless/gnome-bluetooth-3.9[introspection] )
+	networkmanager? (
+		app-crypt/libsecret
+		>=net-misc/networkmanager-0.9.8[introspection] )
+"
+# Runtime-only deps are probably incomplete and approximate.
+# Introspection deps generated using:
+#  grep -roe "imports.gi.*" gnome-shell-* | cut -f2 -d: | sort | uniq
+# Each block:
+# 1. Pull in polkit-0.101 for pretty authorization dialogs
+# 2. Introspection stuff needed via imports.gi.*
+# 3. gnome-session is needed for gnome-session-quit
+# 4. Control shell settings
+# 5. Systemd needed for suspending support
+# 6. xdg-utils needed for xdg-open, used by extension tool
+# 7. gnome-icon-theme-symbolic and dejavu font neeed for various icons & arrows
+# 8. IBus is needed for i18n integration
+# 9. mobile-broadband-provider-info, timezone-data for shell-mobile-providers.c
+RDEPEND="${COMMON_DEPEND}
+	>=sys-auth/polkit-0.101[introspection]
+
+	>=app-accessibility/caribou-0.4.8
+	media-libs/cogl[introspection]
+	>=sys-apps/accountsservice-0.6.14[introspection]
+	>=sys-power/upower-0.99[introspection]
+
+	>=gnome-base/gnome-session-2.91.91
+	>=gnome-base/gnome-settings-daemon-3.8.3
+	>=gnome-base/gnome-control-center-3.8.3[bluetooth(+)?]
+
+	!openrc-force? ( >=sys-apps/systemd-31 )
+
+	x11-misc/xdg-utils
+
+	media-fonts/dejavu
+	x11-themes/gnome-icon-theme-symbolic
+
+	i18n? ( >=app-i18n/ibus-1.4.99[dconf(+),gtk3,introspection] )
+	networkmanager? (
+		net-misc/mobile-broadband-provider-info
+		sys-libs/timezone-data )
+"
+# avoid circular dependency
+PDEPEND=">=gnome-base/gdm-3.5[introspection]
+"
+DEPEND="${COMMON_DEPEND}
+	dev-libs/libxslt
+	>=dev-util/gtk-doc-am-1.17
+	>=dev-util/intltool-0.40
+	gnome-base/gnome-common
+	virtual/pkgconfig
+	!!=dev-lang/spidermonkey-1.8.2*
+"
+# libmozjs.so is picked up from /usr/lib while compiling, so block at build-time
+# https://bugs.gentoo.org/show_bug.cgi?id=360413
+
+src_prepare() {
+	# Change favorites defaults, bug #479918
+	epatch "${FILESDIR}"/${PN}-3.14.0-defaults.patch
+
+	# Fix automagic gnome-bluetooth dep, bug #398145
+	epatch "${FILESDIR}"/${PN}-3.12-bluetooth-flag.patch
+
+	# Fix silent bluetooth linking failure with ld.gold, bug #503952
+	# https://bugzilla.gnome.org/show_bug.cgi?id=726435
+	epatch "${FILESDIR}"/${PN}-3.14.0-bluetooth-gold.patch
+
+	epatch_user
+
+	eautoreconf
+	gnome2_src_prepare
+}
+
+src_configure() {
+	# Do not error out on warnings
+	gnome2_src_configure \
+		--enable-browser-plugin \
+		--enable-man \
+		$(use_enable !openrc-force systemd) \
+		$(use_with bluetooth) \
+		$(use_enable networkmanager) \
+		BROWSER_PLUGIN_DIR="${EPREFIX}"/usr/$(get_libdir)/nsbrowser/plugins
+}
+
+src_install() {
+	gnome2_src_install
+	python_replicate_script "${ED}/usr/bin/gnome-shell-extension-tool"
+	python_replicate_script "${ED}/usr/bin/gnome-shell-perf-tool"
+
+	# Required for gnome-shell on hardened/PaX, bug #398941
+	# Future-proof for >=spidermonkey-1.8.7 following polkit's example
+	if has_version '<dev-lang/spidermonkey-1.8.7'; then
+		pax-mark mr "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+	elif has_version '>=dev-lang/spidermonkey-1.8.7[jit]'; then
+		pax-mark m "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+	# Required for gnome-shell on hardened/PaX #457146 and #457194
+	# PaX EMUTRAMP need to be on
+	elif has_version '>=dev-libs/libffi-3.0.13[pax_kernel]'; then
+		pax-mark E "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+	else
+		pax-mark m "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+	fi
+}
+
+pkg_postinst() {
+	gnome2_pkg_postinst
+
+	if ! has_version 'media-libs/gst-plugins-good:1.0' || \
+	   ! has_version 'media-plugins/gst-plugins-vpx:1.0'; then
+		ewarn "To make use of GNOME Shell's built-in screen recording utility,"
+		ewarn "you need to either install media-libs/gst-plugins-good:1.0"
+		ewarn "and media-plugins/gst-plugins-vpx:1.0, or use dconf-editor to change"
+		ewarn "apps.gnome-shell.recorder/pipeline to what you want to use."
+	fi
+
+	if ! has_version ">=x11-base/xorg-server-1.11"; then
+		ewarn "If you use multiple screens, it is highly recommended that you"
+		ewarn "upgrade to >=x11-base/xorg-server-1.11 to be able to make use of"
+		ewarn "pointer barriers which will make it easier to use hot corners."
+	fi
+
+	if has_version "<x11-drivers/ati-drivers-12"; then
+		ewarn "GNOME Shell has been reported to show graphical corruption under"
+		ewarn "x11-drivers/ati-drivers-11.*; you may want to switch to open-source"
+		ewarn "drivers."
+	fi
+
+	if has_version "media-libs/mesa[video_cards_radeon]" ||
+	   has_version "media-libs/mesa[video_cards_r300]" ||
+	   has_version "media-libs/mesa[video_cards_r600]"; then
+		elog "GNOME Shell is unstable under classic-mode r300/r600 mesa drivers."
+		elog "Make sure that gallium architecture for r300 and r600 drivers is"
+		elog "selected using 'eselect mesa'."
+		if ! has_version "media-libs/mesa[gallium]"; then
+			ewarn "You will need to emerge media-libs/mesa with USE=gallium."
+		fi
+	fi
+
+	if ! has_version "media-libs/mesa[llvm]"; then
+		elog "llvmpipe is used as fallback when no 3D acceleration"
+		elog "is available. You will need to enable llvm USE for"
+		elog "media-libs/mesa."
+	fi
+
+	if ! systemd_is_booted; then
+		ewarn "${PN} needs Systemd to be *running* for working"
+		ewarn "properly. Please follow this guide to migrate:"
+		ewarn "http://wiki.gentoo.org/wiki/Systemd"
+	fi
+
+	if use openrc-force; then
+		ewarn "You are enabling 'openrc-force' USE flag to skip systemd requirement,"
+		ewarn "this can lead to unexpected problems and is not supported neither by"
+		ewarn "upstream neither by Gnome Gentoo maintainers. If you suffer any problem,"
+		ewarn "you will need to disable this USE flag system wide and retest before"
+		ewarn "opening any bug report."
+	fi
+}


             reply	other threads:[~2015-04-19 11:43 UTC|newest]

Thread overview: 55+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-04-19 11:43 Ole Reifschneider [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-09-26 22:14 [gentoo-commits] proj/gnome:master commit in: gnome-base/gnome-shell/ Mart Raudsepp
2018-09-26 22:14 Mart Raudsepp
2018-05-11  7:10 Sobhan Mohammadpour
2018-05-11  6:09 Sobhan Mohammadpour
2018-01-12 13:15 Dennis Lamm
2016-05-11  6:10 Remi Cardona
2016-03-25  0:56 Ole Reifschneider
2015-10-02 12:50 Ole Reifschneider
2015-09-13 22:52 Ole Reifschneider
2015-09-13 22:03 Ole Reifschneider
2015-05-14 18:22 Gilles Dartiguelongue
2015-04-23  7:05 Ole Reifschneider
2014-12-26 21:53 Gilles Dartiguelongue
2014-11-24  7:26 Remi Cardona
2014-11-03 23:24 Gilles Dartiguelongue
2014-10-18 14:55 Gilles Dartiguelongue
2014-04-21 22:31 Gilles Dartiguelongue
2012-12-26 22:49 Gilles Dartiguelongue
2012-11-22 22:49 Gilles Dartiguelongue
2012-10-28 19:26 Alexandre Rostovtsev
2012-10-28 17:29 Gilles Dartiguelongue
2012-10-10  0:23 Alexandre Rostovtsev
2012-09-30  0:15 Alexandre Rostovtsev
2012-09-09  0:39 Nirbheek Chauhan
2012-09-03 18:32 Priit Laes
2012-07-21 18:01 Alexandre Restovtsev
2012-05-24  9:11 Alexandre Restovtsev
2012-04-20  7:12 Alexandre Restovtsev
2012-04-10 13:23 Priit Laes
2012-03-26  8:20 Nirbheek Chauhan
2011-10-21  2:14 Alexandre Restovtsev
2011-07-30  4:21 Alexandre Restovtsev
2011-07-27  5:51 Alexandre Restovtsev
2011-06-07 20:58 Gilles Dartiguelongue
2011-05-30 17:11 Nirbheek Chauhan
2011-05-21 22:06 Nirbheek Chauhan
2011-05-21 18:37 Nirbheek Chauhan
2011-04-26 21:41 Gilles Dartiguelongue
2011-04-08 10:52 Gilles Dartiguelongue
2011-04-07 13:44 Nirbheek Chauhan
2011-04-05 21:38 Nirbheek Chauhan
2011-03-26  2:09 Nirbheek Chauhan
2011-03-23  6:11 Nirbheek Chauhan
2011-03-18  8:23 Nirbheek Chauhan
2011-03-15 18:02 Nirbheek Chauhan
2011-03-04 11:22 Nirbheek Chauhan
2011-02-25 23:34 Nirbheek Chauhan
2011-02-23 14:40 Nirbheek Chauhan
2011-02-21 11:44 Nirbheek Chauhan
2011-02-21  7:17 Nirbheek Chauhan
2011-02-18  6:31 Nirbheek Chauhan
2011-02-18  4:40 Nirbheek Chauhan
2011-02-12 10:24 Nirbheek Chauhan
2011-02-12  9:30 Nirbheek Chauhan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1429442951.c80a2f1018741d0bfebd442470924663eee1e262.tranquility@gentoo \
    --to=tranquility@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox